Bug 825447 - SELinux is preventing rhsmcertd from 'open' accesses on the file update.
SELinux is preventing rhsmcertd from 'open' accesses on the file update.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8cb61b802a15e1d16fd7acc2f62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 06:34 EDT by geminic86
Modified: 2013-01-10 06:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:53:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geminic86 2012-05-26 06:34:35 EDT
libreport version: 2.0.8
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.6-3.fc16.i686.PAEdebug
reason:         SELinux is preventing rhsmcertd from 'open' accesses on the file update.
time:           Sat 26 May 2012 07:00:39 AM EDT

description:
:SELinux is preventing rhsmcertd from 'open' accesses on the file update.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that rhsmcertd should be allowed open access on the update file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rhsmcertd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rhsmcertd_t:s0
:Target Context                system_u:object_r:rpm_var_run_t:s0
:Target Objects                update [ file ]
:Source                        rhsmcertd
:Source Path                   rhsmcertd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-86.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.6-3.fc16.i686.PAEdebug #1 SMP
:                              Wed May 16 21:57:33 UTC 2012 i686 i686
:Alert Count                   5
:First Seen                    Sun 20 May 2012 09:06:49 PM EDT
:Last Seen                     Sat 26 May 2012 05:17:05 AM EDT
:Local ID                      e4fd8360-7005-4f84-9d08-ec440bd193e0
:
:Raw Audit Messages
:type=AVC msg=audit(1338023825.527:113): avc:  denied  { open } for  pid=2120 comm="rhsmcertd" name="update" dev="tmpfs" ino=29760 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=system_u:object_r:rpm_var_run_t:s0 tclass=file
:
:
:Hash: rhsmcertd,rhsmcertd_t,rpm_var_run_t,file,open
:
:audit2allow
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t rpm_var_run_t:file open;
:
:audit2allow -R
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t rpm_var_run_t:file open;
:
Comment 1 Miroslav Grepl 2012-05-28 03:17:27 EDT
How did you get this one? Are you seeing more AVC msgs related to rhsmcertd_t?
Comment 2 Daniel Walsh 2012-05-29 13:56:09 EDT
Does rhsmcertd use rpm libraries?
Comment 3 Devan Goodwin 2012-06-22 08:34:08 EDT
rhsmcertd does use rpm libraries to upload a package profile for the system in some situations.
Comment 4 Daniel Walsh 2012-06-22 10:47:42 EDT
Fixed in selinux-policy-3.10.0-133.fc17

Miroslav can you back  port to F16.
Comment 5 Miroslav Grepl 2012-06-25 07:34:40 EDT
Added.
Comment 6 Fedora Update System 2012-07-02 04:48:36 EDT
selinux-policy-3.10.0-90.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-90.fc16
Comment 7 Fedora Update System 2012-07-03 11:50:20 EDT
Package selinux-policy-3.10.0-90.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-90.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10203/selinux-policy-3.10.0-90.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-25 23:53:58 EDT
selinux-policy-3.10.0-90.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.